# Uses of Class
org.mariadb.jdbc.internal.util.pool.GlobalStateInfo

Packages that use GlobalStateInfo
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util
org.mariadb.jdbc.internal.util.pool

## Uses of GlobalStateInfo in org.mariadb.jdbc

Methods in org.mariadb.jdbc with parameters of type GlobalStateInfo
Modifier and Type
Method
Description
`static MariaDbConnection`
MariaDbConnection.`newConnection(UrlParser urlParser, GlobalStateInfo globalInfo)`
Create new connection Object.

## Uses of GlobalStateInfo in org.mariadb.jdbc.internal.failover

Fields in org.mariadb.jdbc.internal.failover declared as GlobalStateInfo
Modifier and Type
Field
Description
`protected final GlobalStateInfo`
AbstractMastersListener.`globalInfo`
Constructors in org.mariadb.jdbc.internal.failover with parameters of type GlobalStateInfo
Modifier
Constructor
Description
`protected`
`AbstractMastersListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
`protected`
`AbstractMastersReplicasListener(UrlParser urlParser, GlobalStateInfo globalInfo)`

## Uses of GlobalStateInfo in org.mariadb.jdbc.internal.failover.impl

Constructors in org.mariadb.jdbc.internal.failover.impl with parameters of type GlobalStateInfo
Modifier
Constructor
Description
``
`AuroraListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
Constructor for Aurora.
``
`MastersFailoverListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
Initialisation.
``
`MastersReplicasListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
Initialisation.

## Uses of GlobalStateInfo in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type GlobalStateInfo
Modifier and Type
Method
Description
`static AuroraProtocol`
AuroraProtocol.`getNewProtocol(FailoverProxy proxy, GlobalStateInfo globalInfo, UrlParser urlParser)`
Initialize new protocol instance.
`static void`
AuroraProtocol.`loop(AuroraListener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter initialSearchFilter)`
loop until found the failed connection.
`static void`
MasterProtocol.`loop(Listener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter searchFilter)`
loop until found the failed connection.
`static void`
MastersReplicasProtocol.`loop(MastersReplicasListener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter searchFilter)`
loop until found the failed connection.
Constructors in org.mariadb.jdbc.internal.protocol with parameters of type GlobalStateInfo
Modifier
Constructor
Description
``
`AbstractConnectProtocol(UrlParser urlParser, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
Get a protocol instance.
``
`AuroraProtocol(UrlParser url, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
``
`MasterProtocol(UrlParser urlParser, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
Get a protocol instance.
``
`MastersReplicasProtocol(UrlParser url, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`

## Uses of GlobalStateInfo in org.mariadb.jdbc.internal.util

Methods in org.mariadb.jdbc.internal.util with parameters of type GlobalStateInfo
Modifier and Type
Method
Description
`static Protocol`
Utils.`retrieveProxy(UrlParser urlParser, GlobalStateInfo globalInfo)`
Retrieve protocol corresponding to the failover options.

## Uses of GlobalStateInfo in org.mariadb.jdbc.internal.util.pool

Methods in org.mariadb.jdbc.internal.util.pool that return GlobalStateInfo
Modifier and Type
Method
Description
`GlobalStateInfo`
Pool.`getGlobalInfo()`